module G5IntegrationsUpdatable::FindOrCreateFromFeed
  extend ActiveSupport::Concern

  module ClassMethods
    def find_or_create_from_feed(location_settings_hash)
      hash    = location_settings_hash.dup
      setting = find_or_initialize_by(uid: hash.delete('uid'))
      setting.update_attributes(
          urn:                      hash.delete('urn'),
          location_uid:             hash.delete('location_uid'),
          location_urn:             hash.delete('location_urn'),
          location_name:            hash.delete('location_name'),
          client_uid:               hash.delete('client_uid'),
          client_urn:               hash.delete('client_urn'),
          client_name:              hash.delete('client_name'),
          strategy_type:            hash.delete('strategy_type'),
          job_frequency_in_minutes: hash.delete('job_frequency_in_minutes'),
          properties:               hash
      )
      setting
    end
  end
end
