class G5IntegrationsUpdatable::FeedsController < ApplicationController
  skip_before_filter :authenticate_user!
  skip_before_filter :verify_authenticity_token

  def create
    G5IntegrationsUpdatable::FeedProcessor.new(feed_url: params[:feed_url]).process
    render json: {}, status: 201
  end

  def index
    @location_settings = G5IntegrationsUpdatable::LocationSetting.all
    render json: @location_settings, each_serializer: G5IntegrationsUpdatable::LocationSettingSerializer
  end
end
