class CreateLocationSettings < ActiveRecord::Migration
  def change
    create_table :g5_integrations_updatable_location_settings do |t|
      t.string :uid
      t.string :urn
      t.string :location_uid
      t.string :location_urn
      t.string :location_name
      t.string :client_uid
      t.string :client_urn
      t.string :client_name
      t.string :vendor_action
      t.integer :job_frequency_in_minutes
      t.json :properties
      t.timestamps
    end
    add_index :g5_integrations_updatable_location_settings, :uid, unique: true
    add_index :g5_integrations_updatable_location_settings, :urn, unique: true
  end
end
