namespace :g5_integrations_updatable do
  DEFAULT_G5_INTEGRATIONS_URL = 'https://g5-integrations-staging.herokuapp.com/entries.json'

  desc 'loads all of g5-integrations into local DB. Note: the ENV variables for G5-Auth need to be set!'
  task load_all: :environment do
    clients_url = ENV['DEFAULT_G5_INTEGRATIONS_URL'] || DEFAULT_G5_INTEGRATIONS_URL
    puts "loading clients from #{clients_url}...."

    G5IntegrationsUpdatable::FeedProcessor.load_all_settings(clients_url)
    puts 'Success!!'
  end
end